<?php

    include_once( PLOG_CLASS_PATH."class/action/blogaction.class.php" );
    include_once( PLOG_CLASS_PATH."class/view/plugintemplatedview.class.php" );
    
    /**
     * shows the form that will be used to submit an article to the blog, 
     * in case this plugin is enabled
     */
    class ShowSubmissionFormAction extends BlogAction
    {
    
        function ShowSubmissionFormAction( $actionInfo, $request )
        {
            $this->BlogAction( $actionInfo, $request );
        }
        
        function perform()
        {
            $this->_view = new PluginTemplatedView( $this->_blogInfo, "submissions", "submitform" );
            $this->setCommonData();
            
            return true;
        }
    }
?>